Distribution:   CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		kdebase-runtime
Version:	4.5.4
Release:	1
License:	GNU/GPL, LGPL
URL:		http://www.kde.org
Group:		Graphical Desktop/KDE4
Source0:	kdebase-runtime-%{version}.tar.bz2
Source1:       	khelpcenter.desktop
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:      i686
Summary:	K Desktop Environment - Runtime
Requires:	oxygen-icons virtuoso
BuildRequires:	kde-filesystem
%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
BuildRequires:	qt4-devel alsa-lib-devel clucene-devel giflib-devel hal-devel samba-devel
BuildRequires:	cmake
BuildRequires:	bzip2-devel libXScrnSaver-devel OpenEXR-devel pcre-devel
BuildRequires:	kdelibs4-devel >= %{version}
BuildRequires:	kdepimlibs4-devel >= %{version}
BuildRequires:  kdepim-runtime-devel
BuildRequires:	qimageblitz-devel soprano-devel
BuildRequires:	openssl-devel
BuildRequires:  libssh-devel
BuildRequires:  openslp-devel
BuildRequires:	xine-lib-devel
BuildRequires:	libxcb-devel
BuildRequires:	libpthread-stubs
BuildRequires:	automoc4
BuildRequires:  attica-devel
BuildRequires:	kdelibs-common
BuildRequires:	shared-desktop-ontologies
BuildRequires:	exiv2-devel
BuildRequires:  xz-devel
BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel

Provides: 	phonon-backend = 4.2
Provides: 	phonon-backend-xine = %{version}-%{release}
Obsoletes: 	kdebase4-runtime < %{version}-%{release}
Provides:  	kdebase4-runtime = %{version}-%{release}

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: clucene-devel
BuildRequires: glibc-devel
BuildRequires: ilmbase-devel
BuildRequires: libgcc
BuildRequires: libICE-devel
BuildRequires: libjpeg-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXft-devel
BuildRequires: libXpm-devel
BuildRequires: OpenEXR-devel
BuildRequires: perl
BuildRequires: phonon-devel
BuildRequires: pulseaudio-libs-devel
BuildRequires: qt4-devel
BuildRequires: samba-common
BuildRequires: soprano-devel
BuildRequires: strigi-devel
BuildRequires: xine-lib-devel

%description
Core runtime for the K Desktop Environment 4.

%post
/sbin/ldconfig #||:
#%{_bindir}/xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
#%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :

%postun
/sbin/ldconfig #||:
#%{_bindir}/xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
#%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :

%prep
%setup -q

%build
mkdir -p %{_target_platform} 
pushd %{_target_platform}
%{cmake_kde4} ..
popd

#make %{?_smp_mflags} -C %{_target_platform}
make -C %{_target_platform}

%install
rm -rf %{buildroot}
mkdir %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# omit hicolor index.theme, use one from hicolor-icon-theme
rm -f %{buildroot}%{_kde4_iconsdir}/hicolor/index.theme

install -p -D %{SOURCE1} %{buildroot}%{_datadir}/services/khelpcenter.desktop

# FIXME: -devel type files, omit for now
rm -rf %{buildroot}%{_kde4_includedir}/phonon/
rm -f  %{buildroot}%{_kde4_libdir}/libkaudiodevicelist.so

# fix clash with kdelibs3-devel
rm -rf %{buildroot}%{_kde4_libdir}/libkwalletbackend.so
mkdir -p %{buildroot}%{_kde4_libdir}/kde4/devel/
ln -s ../../libkwalletbackend.so.4 %{buildroot}%{_kde4_libdir}/kde4/devel/libkwalletbackend.so 

%files
%defattr(-,root,root,-)
%{_kde4_bindir}/*
%{_kde4_appsdir}/*
%{_kde4_datadir}/config.kcfg/
%{_kde4_datadir}/locale
%{_kde4_iconsdir}/default.kde4
%{_kde4_datadir}/emoticons
%{_datadir}/dbus-1/interfaces/*
%{_datadir}/dbus-1/services/*
%{_kde4_datadir}/kde4/services/*
%{_kde4_datadir}/kde4/servicetypes/*
%{_kde4_datadir}/sounds/*
%{_kde4_docdir}/HTML/en/
%{_kde4_libdir}/libkdeinit4_*.so
%{_kde4_libdir}/kde4/
%{_mandir}/man1/*
%{_kde4_datadir}/desktop-directories
%{_kde4_datadir}/config
%{_kde4_datadir}/applications/kde4/Help.desktop
%{_kde4_datadir}/applications/kde4/k*.desktop
%{_kde4_sysconfdir}/xdg/menus
%{_kde4_datadir}/autostart/nepomukserver.desktop
%{_kde4_libdir}/kconf_update_bin/*
%{_kde4_libdir}/libkwalletbackend.so.*
%{_kde4_iconsdir}/hicolor/*/*/*
%{_datadir}/services/khelpcenter.desktop
%{_libdir}/attica_kde.so
%{_libdir}/strigi/strigiindex_nepomukbackend.so

%{_libdir}/libmolletnetwork.so*
%{_datadir}/mime/packages/network.xml
%{_mandir}/man8/nepomukserver.8.gz
%{_mandir}/man8/nepomukservicestub.8.gz
%{_sysconfdir}/dbus-1/system.d/org.kde.kcontrol.kcmremotewidgets.conf
%{_datadir}/dbus-1/system-services/org.kde.kcontrol.kcmremotewidgets.service
%{_datadir}/polkit-1/actions/org.kde.kcontrol.kcmremotewidgets.policy

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Dec 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.4-1
- Version Update
* Thu Nov 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.3-1
- Version Update
* Wed Oct 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.2-1
- Version Update
* Wed Sep 01 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.1-1
- Version Update
* Tue Aug 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.0-1
- Version Update
* Wed Jul 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.95-1
- Version Update
* Sun Jul 18 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.92-2
- rebuilt
* Thu Jul 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.92-1
- Version Update - experimental package branch - rc2
* Tue Jun 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.90-1
- Version Update - experimental package branch - rc1
* Wed Jun 02 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.4-1
- Version Update
* Thu May 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.3-1
- Version Update
* Wed Mar 31 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.2-1
- Version Update
* Thu Mar 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.1-1
- Version Update
* Thu Feb 18 2010 Christian Metzen <metzench@ccux-linux.de> 4.4.0-2
- add missing virtuoso dep
- fixes bug #0000051
* Wed Feb 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.0-1
- Version Update
* Wed Dec 02 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.4-1
- Version Update
* Wed Nov 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.3-1
- Version Update
* Thu Oct 08 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.2-1
- Version Update
* Thu Sep 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.1-1
- Version Update
* Sat Aug 08 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.0-1
- Version update
* Thu Jun 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.4-1
- Version update
* Fri May 08 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.3-1
- Version update
* Fri Apr 03 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.2-1
- Version update
* Fri Mar 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.1-1
- Version update
* Fri Jan 23 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.0-1
- Version update
* Sat Jan 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.1.96-1
- version update
* Wed Jan 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.1.87-1
- version update
* Sat Dec 13 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.85-1
- version update
* Fri Nov 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.80-1
- version update
* Wed Nov 05 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.3-1
- version update
* Fri Oct 03 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.2-1
- Version update
* Mon Sep 29 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.1-2
- rebuilt against Xorg 7.4
* Wed Sep 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.1-1
- Version update
* Thu Jul 31 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-3
- renamed package
* Tue Jul 29 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-2
- rebuild for moved devel symlinks
* Sat Jul 26 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-1
- Version update
* Thu Jul 24 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.99-1
- Version update
* Sun Jul 13 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.98-1
- Version update 4.1 RC 1
* Thu Jul 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.84-2
- rebuild against openEXR-1.6.1-2
* Wed Jul 02 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.84-1
- Version update
* Fri Jun 27 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.83-1
- Version update ( 4.1 beta 2 )
* Fri Jun 13 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.80-1
- Version update ( 4.1 beta 1 )
* Mon May 26 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.72-1
- Version update ( 4.1 alpha 1 )
* Mon Apr 07 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.3-1
- Version update
* Mon Mar 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.2-1
- Version update
* Thu Feb 07 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.0.1-2
- moved KDEHOMEDIR to ~/.kde4
* Wed Feb 06 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.1-1
- Version update
* Fri Jan 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.0.0-1
- Version update
* Wed Dec 12 2007 Christian Metzen <metzench@ccux-linux.de> 3.97.0-1
- Version update to RC2
* Tue Dec 04 2007 Christian Metzen <metzench@ccux-linux.de> 3.96.2-2
- rebuild, moved prefix to /usr
* Mon Dec 03 2007 Christian Metzen <metzench@ccux-linux.de> 3.96.2-1
- Version update to latest rc
* Tue Nov 20 2007 Simon Schmeisser <wrt@ccux-linux.de> 3.95.2-1
- Version update to Beta 4 - svn739162,
  split into seperate packages & sources like kde upstream does it
* Wed Sep 19 2007 Simon Schmeisser <wrt@ccux-linux.de> 3.93-1
- Version update to Beta 2 -svn714529
* Wed Aug 15 2007 Simon Schmeisser <wrt@ccux-linux.de> 3.92-1
- Version update to Beta 1 - svn700427
* Wed Jun 27 2007 Simon Schmeisser <wrt@ccux-linux.de> 3.90.1-2
- Version update - svn680852
* Thu Jun 7 2007 Simon Schmeisser <wrt@ccux-linux.de> 3.90.1-1
- Initial Release - svn673043
